#
# Makefile for E!Kit-1100 original device driver
#

CC      = gcc -g
COPTS   = -I/usr/src/linux-`uname -r`/include
KOPTS   = -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing \
 -fno-common -fomit-frame-pointer \
 -G0 -fno-pic -mno-abicalls -mlong-calls -mcpu=r4600 -mips2 \
 -I/usr/src/linux-`uname -r`/include/asm \
 -nostdinc -iwithprefix include \
 -DMODULE  -D__KERNEL__ -DKBUILD_BASENAME=$* -DKBUILD_MODNAME=$*

CFLAGS  = -Wall $(COPTS) $(KOPTS) -pipe
TARGETS = usba.o

all:	$(TARGETS)

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $<

clean:
	rm -f *.ko *.o *~ thread
